SalesOS.

Collaboration

Team collaboration features

Collaboration Controller_get Entity Viewers

GET
/v1/collaboration/presence/{entityType}/{entityId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

entityTypeRequiredstring
entityIdRequiredstring
curl -X GET "https://api.salesos.org/v1/collaboration/presence/<string>/<string>" \
  -H "Authorization: Bearer <token>"

Collaboration Controller_get Viewer Count

GET
/v1/collaboration/presence/{entityType}/{entityId}/count

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

entityTypeRequiredstring
entityIdRequiredstring
curl -X GET "https://api.salesos.org/v1/collaboration/presence/<string>/<string>/count" \
  -H "Authorization: Bearer <token>"

Collaboration Controller_get Presence Summary

POST
/v1/collaboration/presence/summary

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/collaboration/presence/summary" \
  -H "Authorization: Bearer <token>"

Collaboration Controller_get Lock Status

GET
/v1/collaboration/locks/{entityType}/{entityId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

entityTypeRequiredstring
entityIdRequiredstring
curl -X GET "https://api.salesos.org/v1/collaboration/locks/<string>/<string>" \
  -H "Authorization: Bearer <token>"

Collaboration Controller_acquire Lock

POST
/v1/collaboration/locks/{entityType}/{entityId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

entityTypeRequiredstring
entityIdRequiredstring
curl -X POST "https://api.salesos.org/v1/collaboration/locks/<string>/<string>" \
  -H "Authorization: Bearer <token>"

Collaboration Controller_release Lock

DELETE
/v1/collaboration/locks/{entityType}/{entityId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

entityTypeRequiredstring
entityIdRequiredstring
curl -X DELETE "https://api.salesos.org/v1/collaboration/locks/<string>/<string>" \
  -H "Authorization: Bearer <token>"

Collaboration Controller_refresh Lock

POST
/v1/collaboration/locks/{entityType}/{entityId}/refresh

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

entityTypeRequiredstring
entityIdRequiredstring
curl -X POST "https://api.salesos.org/v1/collaboration/locks/<string>/<string>/refresh" \
  -H "Authorization: Bearer <token>"

Collaboration Controller_check Lock Ownership

GET
/v1/collaboration/locks/{entityType}/{entityId}/owned

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

entityTypeRequiredstring
entityIdRequiredstring
curl -X GET "https://api.salesos.org/v1/collaboration/locks/<string>/<string>/owned" \
  -H "Authorization: Bearer <token>"

Collaboration Controller_get My Locks

GET
/v1/collaboration/locks/my-locks

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/collaboration/locks/my-locks" \
  -H "Authorization: Bearer <token>"

Collaboration Controller_force Release Lock

DELETE
/v1/collaboration/locks/{entityType}/{entityId}/force

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

entityTypeRequiredstring
entityIdRequiredstring

Query Parameters

confirmRequiredstring
curl -X DELETE "https://api.salesos.org/v1/collaboration/locks/<string>/<string>/force?confirm=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"